Install R dan RStudio di Ubuntu

By | March 12, 2024
Print Friendly, PDF & Email
738 Views

Install R dan RStudio di Ubuntu –  Bagi yang sering mengolah data statistik, kalian sudah terbiasa dengan R daripada Python karena memang tujuan utama  R dibuat untuk mengolah data statistik. Saya pun lebih suka mengolah data untuk keperluan statistik menggunakan R. Untuk install di Linux terutama turunan debian seperti Ubuntu, kalian bisa mengikuti langkah berikut ini.

sudo apt update
sudo apt install r-base r-base-dev

kalau sudah OK, ketikan saja R di terminal

bejo@bejo-HP-Laptop-14s-fq0xxx:~/Downloads$ R

R version 4.3.1 (2023-06-16) -- "Beagle Scouts"
Copyright (C) 2023 The R Foundation for Statistical Computing
Platform: x86_64-pc-linux-gnu (64-bit)

R is free software and comes with ABSOLUTELY NO WARRANTY.
You are welcome to redistribute it under certain conditions.
Type 'license()' or 'licence()' for distribution details.

  Natural language support but running in an English locale

R is a collaborative project with many contributors.
Type 'contributors()' for more information and
'citation()' on how to cite R or R packages in publications.

Type 'demo()' for some demos, 'help()' for on-line help, or
'help.start()' for an HTML browser interface to help.
Type 'q()' to quit R.

> 

 

https://posit.co/download/rstudio-desktop/

Ubuntu adalah turunan dari Debian, maka kalian bisa pilih debian https://download1.rstudio.org/electron/jammy/amd64/rstudio-2023.12.1-402-amd64.deb

Setelah kalian download menggunakan wget

sekarang install saja pakai terminal

sudo dpkg -i rstudio-2023.12.1-402-amd64.deb

biasanya akan error dulu

(Reading database ... 446183 files and directories currently installed.)
Preparing to unpack rstudio-2023.12.1-402-amd64.deb ...
Unpacking rstudio (2023.12.1+402) ...
dpkg: dependency problems prevent configuration of rstudio:
 rstudio depends on libssl-dev; however:
  Package libssl-dev is not installed.
 rstudio depends on libclang-dev; however:
  Package libclang-dev is not installed.

dpkg: error processing package rstudio (--install):
 dependency problems - leaving unconfigured
Processing triggers for mailcap (3.70+nmu1ubuntu1) ...
Processing triggers for gnome-menus (3.36.0-1.1ubuntu1) ...
Processing triggers for desktop-file-utils (0.26-1ubuntu5) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for shared-mime-info (2.2-1) ...
Errors were encountered while processing:
 rstudio

ketikan saja

sudo apt --fix-broken install

tunggu saja sampai depencies nya selesai diinstall, lalu ulangi perintah lagi

sudo dpkg -i rstudio-2023.12.1-402-amd64.deb

 

See also  Package lubridate untuk mengolah date time

 

Leave a Reply